App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
app::Vect Class Reference

Třída reprezentuje vektor v rovině pomocí celočíselných souřadnic jeho počátečního a koncového bodu. More...

`#include <Geometry.hpp>`

## Public Member Functions
| Vect ()
| Vytvoří nulový vektor tj. (0,0) -> (0,0).
| Vect (const Point to)
| Vytvoří vektor se zadaným koncovým bodem.
| Vect (int tox, int toy)
| Vytvoří vektor se zadaným koncovým bodem.
| Vect (const Point from, const Point to)
| Vytvoří vektor mezi zadanými body.
| Vect (int fromx, int fromy, int tox, int toy)
| Vytvoří vektor mezi zadanými body.
int | getdx ()
| Vrátí průmět vektoru do směru osy x.
int | getdy ()
| Vrátí průmět vektoru do směru osy y.

## Public Attributes
Point | from
| Počátek vektoru.
Point | to
| Koncový bod vektoru.

## Detailed Description

Třída reprezentuje vektor v rovině pomocí celočíselných souřadnic jeho počátečního a koncového bodu.

Definition at line 50 of file Geometry.hpp.

## Constructor & Destructor Documentation

app::Vect::Vect | ( |  | ) |
| inline

Vytvoří nulový vektor tj. (0,0) -> (0,0).

Definition at line 56 of file Geometry.hpp.

{ from = Point(0, 0); to = Point(0, 0); }

app::Vect::Vect | ( | const Point | to | ) |
| inline

Vytvoří vektor se zadaným koncovým bodem.

Vytvoří vektor se zadaným koncovým bodem a počátkem v bodě (0,0).

Parameters

  to | Koncový bod vektoru.

Definition at line 63 of file Geometry.hpp.

{ from = Point(0, 0); this->to = to; }

app::Vect::Vect | ( | int | tox,
|  | int | toy
| ) |  |
| inline

Vytvoří vektor se zadaným koncovým bodem.

Vytvoří vektor se zadaným koncovým bodem a počátkem v bodě (0,0).

Parameters

  tox | x-ová souřadnice koncového bodu.
  toy | y-ová souřadnice koncového bodu.

Definition at line 71 of file Geometry.hpp.

{ from = Point(0, 0); to = Point(tox, toy); }

app::Vect::Vect | ( | const Point | from,
|  | const Point | to
| ) |  |
| inline

Vytvoří vektor mezi zadanými body.

Vytvoří vektor mezi zadanými body.

Parameters

  from | Počáteční bod vektoru.
  to | Koncový bod vektoru.

Definition at line 79 of file Geometry.hpp.

{ this->from = from; this->to = to; }

app::Vect::Vect | ( | int | fromx,
|  | int | fromy,
|  | int | tox,
|  | int | toy
| ) |  |
| inline

Vytvoří vektor mezi zadanými body.

Vytvoří vektor mezi zadanými body

Parameters

  fromx | x-ová souřadnice počátečního bodu.
  fromy | y-ová souřadnice počátečního bodu.
  tox | x-ová souřadnice koncového bodu.
  toy | y-ová souřadnice koncového bodu.

Definition at line 89 of file Geometry.hpp.

{ from = Point(fromx, fromy); to = Point(tox, toy); }

## Member Function Documentation

int app::Vect::getdx | ( |  | ) |
| inline

Vrátí průmět vektoru do směru osy x.

Definition at line 92 of file Geometry.hpp.

{ return to.x - from.x; }

int app::Vect::getdy | ( |  | ) |
| inline

Vrátí průmět vektoru do směru osy y.

Definition at line 95 of file Geometry.hpp.

{ return to.y - from.y; }

## Member Data Documentation

Point app::Vect::from

Počátek vektoru.

Definition at line 52 of file Geometry.hpp.

Point app::Vect::to

Koncový bod vektoru.

Definition at line 53 of file Geometry.hpp.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/jni/app/utils/Geometry.hpp